set terminal postscript eps enhanced color dashed defaultplex "Helvetica" 16
set output "mt.eps"
set title "Failure detection on 17-12: Torque"
set key left
set yrange [0:0.4]

plot    "scaled_dist.pump21.17.12.dat" using 5 title "Normal 2" with lines 1,\
	"scaled_dist.pump31.17.12.dat" using 5 title "Normal 3" with lines 2,\
	"scaled_dist.pump41.17.12.dat" using 5 title "Norm-HC-Norm 2" with lines 3,\
	"scaled_dist.pump51.17.12.dat" using 5 title "Norm-LC" with lines 4,\
	"scaled_dist.pump61.17.12.dat" using 5 title "Norm-PM" with lines 5,\
	"scaled_dist.pump71.17.12.dat" using 5 title "Shaft-M" with lines 6,\
	"scaled_dist.pump81.17.12.dat" using 5 title "Chipped Tooth" with lines 7

unset output
