#!/bin/bash

#model="pumpA35.txt"
#model="new_modelA_change2.txt"
model="new_modelA_norm3.txt"
#data="entire_data.dat"
#data="input_change1.in"
data="input_change3.in"
start=0
current_x=17
current_y=12
shift=$((current_x-current_y))
echo "      So the beginning of the first interval is $start"
./data_windowing.pl "$data" $start $current_x $shift #split the data into the intervals "interval$current_x.$shift.*" 
echo "      ./data-windowing.pl $data $start $current_x $shift"

#run cosmos on the intervals
file_num=0
for file in $( ls "interval$current_x.$shift."* );
do
    echo "         Copy $file into data.txt"
    cp "$file" data.txt
    printf -v number "%03d" "$file_num"
    echo "         Run cosmos: time ./cosmos0823 $model > out$current_x.$current_y.$number.res"
    time ./cosmos0823 "$model" > "out$current_x.$current_y.$number.res"
    let file_num++
done
dir="_running_pump.$current_x.$current_y"
echo "      Make a directory $dir"
mkdir "$dir"
echo "      Move out$current_x.$current_y.* into $dir"
mv "out$current_x.$current_y."* "$dir"
echo "      Remove interval files: interval$current_x.$shift.*"
rm -f "interval$current_x.$shift."*
