#!/usr/bin/perl
#use CGI qw/:standard/;

foreach $argnum (0 .. $#ARGV) {
    push (@files,$ARGV[$argnum]);
}

$len = scalar(@files);
if ($len == 4) {
    $infile = $files[0];
    $start = $files[1];
    $size = $files[2];
    $shift = $files[3];
} else {
    exit;
}

print "Input file: '$infile'\n";
print "Start position: '$start'\n";
print "Interval size: '$size'\n";
print "Shift: '$shift'\n";

open (FILE, "$infile") || die "Can't open '$infile': $!\n";
@data = <FILE>;
close(FILE);

#forget about the data before the start position
$l = scalar(@data);

$j = 0;
$b = $start+1;
$e = $b + $size - 1;
while ($e < $l-1) {
    @chunk = @data[$b..$e];
    $number = sprintf("%03d", $j);
    $outfile = "interval" . $size . "." . $shift . "." . $number . ".txt";
    open (FILE, ">>$outfile") || die "Can't open '$outfile': $!\n";
    print FILE "$data[0]";
    print FILE "$_" for @chunk;
    close(FILE);
    $j++;
    $b = $b + $shift;
    $e = $e + $shift;
}
$number = sprintf("%03d", $j);
$outfile = "interval" . $size . "." . $shift . "." . $number . ".txt";
open (FILE, ">>$outfile") || die "Can't open '$outfile': $!\n";
print FILE "$data[0]";
print FILE "$_" for @data[$b..$l];
close(FILE);
