function ret = myrandint(arg1, arg2)

if (nargin ~= 2)
  error('Give an interval size and a data range [0..arg2-1]');
  return
end

size = arg1;
limit = arg2;

n = 0;
interval = [];
while (n < size)
    elem = randint(1,1,limit);
    if (~ismember(elem,interval))
       interval = [interval elem];
       n = n+1;
    end
end

ret = sort(interval);
ret = ret';
save('random.txt','ret');

return
