#!/usr/bin/perl
#use CGI qw/:standard/;

foreach $argnum (0 .. $#ARGV) {
    push (@files,$ARGV[$argnum]);
}

$len = scalar(@files);
if ($len == 2) {
    $yourfile = $files[0];
    $outfile = $files[1];
} elsif ($len == 1) {
    $yourfile = $files[0];
    $outfile = 'simple01.txt';
} else {
    $yourfile = 'data_simpleBN_0.txt';
    $outfile = 'simple01.txt';
}

print "Input file: '$yourfile'\n";
print "Output file: '$outfile'\n";

open (FILE, "$yourfile") || die "Can't open '$yourfile': $!\n";
@data = <FILE>;
close(FILE);
$i = 0;
$dims = $data[0];
chomp($dims);
print "Raw Dimensions: '$dims'\n";
@dimensions = split(/\t/,$dims);
print "Dimensions: '$dimensions[0]' '$dimensions[1]' '$dimensions[2]'\n";
shift(@data);
$line = $data[0];
chomp($line);
print "Raw Labels: '$line'\n";
@labels = split(/\t/,$line);
print "Labels: '$labels[0]' '$labels[1]' '$labels[2]'\n";
shift(@data);

foreach $label (@labels) {
    push (@text,$label);
    push (@text,"\t");
}
push (@text,"\n");

foreach $line (@data) {
    chomp($line);
    @new_data = split(/\t/,$line);
    $j=0;
    foreach $label (@labels) {
	for ($count = 0; $count < $dimensions[$j]; $count++) {
	    if ($count == $new_data[$j]) {
		push (@text, "1");
	    } else {
		push (@text, "0");
	    }
	    if ($count+1 < $dimensions[$j]) {
		push (@text, ",");
	    }
	}
	push (@text,"\t");
	$j++;
    }
    push (@text,"\n");
    $i++;
}

#print to the file
open (FILE, ">>$outfile") || die "Can't open '$outfile': $!\n";
    print FILE "$_" for @text;
close(FILE);
