set terminal postscript eps enhanced color dashed defaultplex "Helvetica" 16
set output "try.eps"
set title "Failure detection: optimal pump model, sliding window of 10, overlap of 3"
#set yrange [19:45]
#set xrange [-10:40]
set key left

#a(x)=0.044
b(x)=0.69
#c(x)=0.081
d(x)=0.234
e(x)=0.45

plot    "scaled_dist.pumpA35.10.3.dat" using 1 title "Out Pressure" with lines 1,\
	"scaled_dist.pumpA35.10.3.dat" using 2 title "Voltage" with lines 2,\
	"scaled_dist.pumpA35.10.3.dat" using 3 title "In Pressure" with lines 3,\
	"scaled_dist.pumpA35.10.3.dat" using 4 title "Pump Resistance" with lines 4,\
	"scaled_dist.pumpA35.10.3.dat" using 5 title "Motor Torque" with lines 5,\
	b(x) with lines 2,\
	d(x) with lines 4,\
	e(x) with lines 5

unset output
