set terminal postscript eps enhanced color dashed defaultplex "Helvetica" 16
set output "try.eps"
set title "Failure detection on 17-12"
set key left

#pp(x)=0.0458511320373078
#cv(x)=0.613868912503517
#vp(x)=0.0566666666666666
#pr(x)=0.206430311586997
#mt(x)=0.407026812202964

plot    "scaled_dist.pump.17.12.dat" using 1 title "Out Pressure" with lines 1,\
	"scaled_dist.pump.17.12.dat" using 2 title "Voltage" with lines 2,\
	"scaled_dist.pump.17.12.dat" using 3 title "In Pressure" with lines 3,\
	"scaled_dist.pump.17.12.dat" using 4 title "Pump Resistance" with lines 4,\
	"scaled_dist.pump.17.12.dat" using 5 title "Motor Torque" with lines 5
#	pp(x) notitle with lines 1,\
#	cv(x) notitle with lines 2,\
#	vp(x) notitle with lines 3,\
#	pr(x) notitle with lines 4,\
#	mt(x) notitle with lines 5

unset output