%triangular filter

load -force res.dat;
vel = res(:,1);

len = size(vel,1);

height=1; %the hight of the smallest value of a triangule window
width=31; %the width of the window, better to be odd
  step=1; %the difference between the neighbor window values
  half=(width-1)/2; %a small half

%constructing the window
  tmp=zeros(1,half);
for i=1:half
	tmp(i)=height+step*(i-1);
endfor
window=[tmp,height+(width-1)*step/2,fliplr(tmp)];
window=window/sum(window); % normalizing window

new_vel = zeros(1,len);

temp=zeros(1,width);
for i=1:len
	idx=[i-half:1:i+half];
        for j=1:width
	    if idx(j) <= 0 
	       temp(j)=vel(1);
            elseif idx(j) > len
                   temp(j)=vel(len);
            else
               temp(j)=vel(idx(j));
            endif
        endfor
        new_vel(i)=temp*window';
endfor

new_vel = new_vel';

save -ascii res1.dat new_vel
